namespace IRaCIS.Core.Domain.Models;

[Comment("医生 - 假期安排")]
[Table("Vacation")]
public class Vacation : BaseFullAuditEntity
{
    #region 导航属性

    [JsonIgnore]
    [ForeignKey("DoctorId")]
    public Doctor Doctor { get; set; }
    #endregion
    public Guid DoctorId { get; set; }
    public DateTime StartDate { get; set; }
    public DateTime EndDate { get; set; }
    public int Status { get; set; } = 1;

}
